%define snapshotdate 20071019

Name:           compizconfig-backend-gconf
Version:        0.6.0 
Release:        0.1.%{snapshotdate}git%{?dist}
Summary:        GConf backend for compizconfig

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://www.opencompositing.org

# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  git clone git://anongit.compiz-fusion.org/fusion/compizconfig/compizconfig-backend-gconf compizconfig-backend-gconf-0.6.0
#  cd compizconfig-backend-gconf-0.6.0 && git checkout 0.6.0 && cd ..
#  tar -cvf compizconfig-backend-gconf-0.6.0.tar compizconfig-backend-gconf-0.6.0
#  bzip2 compizconfig-backend-gconf-0.6.0.tar
#Source0:        http://releases.compiz-fusion.org/%{version}/%{name}-%{version}.tar.bz2
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch101:       noautoconfigure.patch
BuildRequires:  libcompizconfig-devel = %{version}, glib2-devel, GConf2-devel
BuildRequires:  intltool, gettext-devel, libtool
#Requires:      

# libdrm is not available on these arches
ExcludeArch:    s390 s390x ppc64 

%description
The Compiz Fusion Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
through plugins and themes contributed by the community giving a
rich desktop experience.

This package contains the Gconf backend for libcompizconfig

%prep
%setup -q
%patch101 -p1 -b .noautoconfigure
./autogen.sh

%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING INSTALL AUTHORS
%{_libdir}/compizconfig/backends/libgconf.so

%changelog
* Fri Oct 19 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-0.1.20071019git
- 0.6.0 branch

* Tue Aug 14 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.5.2-0.1
- Initial package
